Subject: Re: [PATCH net-next 0/4] RDMA/net/ionic: Misc updates

From: Leon Romanovsky <[email-masked]>
Date: Sun, 17 May 2026 17:55:31 +0300

On Thu, May 14, 2026 at 10:19:23AM -0700, Creeley, Brett wrote:
> 
> 
> On 5/14/2026 9:40 AM, Leon Romanovsky wrote:
> > Caution: This message originated from an External Source. Use proper caution when opening attachments, clicking links, or responding.
> > 
> > 
> > On Thu, May 14, 2026 at 08:03:09PM +0530, Abhijit Gangurde wrote:
> > > On 5/7/26 04:29, Jakub Kicinski wrote:
> > > > On Tue, 5 May 2026 21:19:31 -0700 Eric Joyner wrote:
> > > > > Other smaller additions add a devlink parameter to the ionic ethernet
> > > > > driver for enabling and disabling RDMA,
> > > > My understanding is that the devlink param was expected to change
> > > > the configuration of the device. IOW user can enable/disable RDMA
> > > > to save internal device resources. You seem to be purely preventing
> > > > the auxbus device to be added. So there's nothing gained here compared
> > > > to simply not loading the RDMA driver. What am I missing?
> > > You're right that the current implementation controls only the auxiliary bus
> > > device registration and doesn't reconfigure firmware resource allocation.
> > > The intent behind this devlink param is to provide per-device granularity
> > > for enabling/disabling RDMA. In a system with multiple ionic NICs, an
> > > administrator may want RDMA active on some devices but not others.
> > > That said, if this per-device control justification is sufficient on its
> > > own, or if firmware-side changes are a hard requirement for this to be
> > > acceptable?
> > I'm confident that the administrator can vibe code an appropriate udev
> > rule and disable autoprobing for this case.
> > 
> > The real advantage of a devlink knob here is the ability to control the
> > firmware.
> > 
> > Thanks
> 
> Based on the documentation in devlink-params.rst, the devlink knob for
> enable_rdma indicates that when enabled the driver will instantiate RDMA
> specific auxiliary device of the devlink device. The documentation doesn't
> state what to do when enable_rdma is disabled, but it seemed like removing
> the auxiliary device provided the opposite behavior of enabled.

There is no practical way to document every possible case. When
`enable_rdma == false`, it indicates that the device has RDMA support
disabled.

Thanks

> 
> If that's not the case, does the documentation need to be updated
> accordingly?
> 
> Thanks,
> 
> Brett
> 
> 
> > 
> > > Thanks,
> > > Abhijit
> 
>